/*
 * Copyright 2024 Dominic Grimm
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

val scala3Version = "3.3.1"

val deps = Seq(
  "io.bullet" %% "borer-core" % "1.14.0",
  "io.bullet" %% "borer-derivation" % "1.14.0",
  "com.lightbend.akka" %% "akka-stream-alpakka-mqtt" % "7.0.1",
  "com.typesafe.akka" %% "akka-stream" % "2.9.0"
)

val keycloakVersion = "23.0.6"
val keycloakDeps = Seq(
  "org.keycloak" % "keycloak-core" % keycloakVersion % "provided",
  "org.keycloak" % "keycloak-server-spi" % keycloakVersion % "provided",
  "org.keycloak" % "keycloak-server-spi-private" % keycloakVersion % "provided"
)

lazy val root = project
  .in(file("."))
  .settings(
    name := "keycloak-event-listener-mqtt",
    version := "0.2.0",
    scalaVersion := scala3Version,
    resolvers += "Akka library repository".at("https://repo.akka.io/maven"),
    libraryDependencies ++= keycloakDeps,
    libraryDependencies ++= deps
  )
